﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="ImageBlobStorage._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    <style type="text/css">
        .style1
        {
            color: #000066;
            font-family: Calibri;
        }
        .style2
        {
            font-size: small;
            font-family: Calibri;
            color: #000066;
        }
        .style3
        {
            font-size: x-small;
            color: #666666;
            font-family: Calibri;
        }
        .style4
        {
            color: #000066;
        }
    </style>
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <table>
    <tr>
    <td class="style4">
        <strong>My Images</strong></td>
    <td class="style1">
        &nbsp;</td>
    </tr>
    <tr>
    <td class="style2"><strong>Submit</strong></td>
    <td class="style3">Click Browse, provide a name and select a category for your image.</td>
    </tr>
<tr><td>
    <asp:Label ID="filePathLabel" Text="Image Path:" AssociatedControlID="imageUploadControl"
    runat="server" style="font-family: Calibri; color: #000066;" /></td>
<td><asp:FileUpload ID="imageUploadControl" runat="server" 
        style="font-family: Calibri" /></td></tr>
<tr><td>
    <asp:Label ID="imageNameLabel" Text="Image Name:" AssociatedControlID="imageNameBox"
    runat="server" style="font-family: Calibri; color: #000066;" /></td>
<td><asp:TextBox ID="imageNameBox" runat="server" Width="220px" /></td></tr>
<tr><td>
    <asp:Label ID="categoryLabel" Text="Category:" AssociatedControlID="dropdwnCategory"
    runat="server" style="font-family: Calibri; color: #000066;" /></td>
<td>
    <asp:DropDownList ID="dropdwnCategory" runat="server" Width="220px">
        <asp:ListItem>Technical</asp:ListItem>
        <asp:ListItem>Marketing</asp:ListItem>
        <asp:ListItem>Business</asp:ListItem>
        <asp:ListItem>Sales</asp:ListItem>
        <asp:ListItem>Travel</asp:ListItem>
        <asp:ListItem>Personal</asp:ListItem>
    </asp:DropDownList>
</td></tr>
<tr><td>
    &nbsp;</td>
<td>&nbsp;
    <asp:LinkButton ID="lnkbtnSubmitImage" runat="server" Font-Names="Calibri" 
        onclick="lnkbtnSubmitImage_Click">Submit Image</asp:LinkButton>
&nbsp;|
    <asp:LinkButton ID="lnkbtnClearFields" runat="server" Font-Names="Calibri" 
        onclick="lnkbtnClearFields_Click">Clear Fields</asp:LinkButton>
    </td></tr>
    <tr>
    <td class="style2"><strong>View & Delete</strong></td>
    <td class="style3">Click Delete to delete a specific image.</td>
    </tr>
<tr><td>
    <asp:Label ID="lblDataGrd" runat="server" Text="Image List:" 
        style="color: #000066; font-family: Calibri"></asp:Label>
</td>
<td><asp:GridView ID="imageList" AutoGenerateColumns="false" DataKeyNames="FileUri" 
    runat="server"
     OnRowCommand="RowCommandHandler" Font-Names="Calibri" 
   Font-Size="Small" 
        Width="296px">
    <AlternatingRowStyle BackColor="#99CCFF" Font-Names="Calibri" 
        Font-Size="Small" />
    <Columns>
        <asp:ButtonField HeaderText="Delete" Text="Delete" 
           CommandName="DeleteImage" />
        <asp:HyperLinkField HeaderText="Link & Title" DataTextField="ImageName" 
           DataNavigateUrlFields="FileUri" />
        <asp:BoundField DataField="Category" HeaderText="Category" />
        <asp:BoundField DataField="DateSubmitted" HeaderText="Date Submitted" />
    </Columns>
    <HeaderStyle BackColor="#000099" Font-Bold="True" ForeColor="White" />
</asp:GridView>
</td></tr>
</table>
</asp:Content>

