﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Dallas_Silverlight_Crime_App.DallasCrimeDataSvc;
using System.Collections;
using System.Collections.ObjectModel; 

namespace Dallas_Silverlight_Crime_App
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void btnGetData_Click(object sender, RoutedEventArgs e)
        {
            DallasCrimeDataClient myWCFProxyFromAzure = new DallasCrimeDataClient();

            myWCFProxyFromAzure.GetCrimeDataCompleted += new EventHandler<GetCrimeDataCompletedEventArgs>(myWCFProxyFromAzure_GetCrimeDataCompleted);
            myWCFProxyFromAzure.GetCrimeDataAsync(null); 
        }

        void myWCFProxyFromAzure_GetCrimeDataCompleted(object sender, GetCrimeDataCompletedEventArgs e)
        {
            ObservableCollection<CrimeData> myCrimeData = e.Result;

            dataGridDallasCrimeData.ItemsSource = myCrimeData;
        }
    }
}
