﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using Resources;
using System.Xml.Serialization;
using System.IO;
using Microsoft.SharePoint;


namespace SPListenerService
{
    public class SPListenerSvc : IEmployeeInfoSvc
    {
        List<Sales> IEmployeeInfoSvc.GetSales()
        {
            List<Sales> mySales = new List<Sales>();

            Console.WriteLine("GetSalesData method called...");

            using (SPSite mySite = new SPSite("http://blueyonderdemo"))
            {
                using (SPWeb myWeb = mySite.OpenWeb())
                {
                    SPList oList = myWeb.Lists["Sales"];
                    SPQuery camlQuery = new SPQuery();
                    camlQuery.ViewXml = "<View/>";
                    SPListItemCollection collListItems = oList.GetItems(camlQuery);
                    foreach (SPListItem listItem in collListItems)
                    {
                        Sales tempSales = new Sales();
                        tempSales.Company = listItem["Title"].ToString();
                        tempSales.Contact = listItem["Contact"].ToString();
                        tempSales.FY09Sales = listItem["FY09"].ToString();
                        tempSales.FY10Sales = listItem["FY10"].ToString();
                        tempSales.FY11Sales = listItem["FY11"].ToString();
                        mySales.Add(tempSales);
                    }
                }
            }

            return mySales;
        }   
    }
}
